Results 1 to 3 of 3

Thread: Installing boost version 1.42

  1. #1
    Join Date
    Aug 2012
    Beans
    19

    Question Installing boost version 1.42

    Hi,

    I am running ubuntu 12.04.1 LTS and need to 'downgrade' my installed version of boost to version 1.42 (1.48 currently installed). How can I do that?

    aptitude search libboost

    shows me only versions 1.46 and 1.48, so how exactly do I remove version 1.48 in order to revert to version 1.42.

    Please no questions about the why, I only require answers to my specific question.


    Thanks,

    Alex

  2. #2
    Join Date
    Aug 2012
    Beans
    19

    Re: Installing boost version 1.42

    Hi again,

    since I have not received an answer to my question, I would like to ask if this is really a very hard to solve question? Maybe what I am asking is impossible? Any ideas I can try to install a specific version of boost?


    Thanks,
    Alex

  3. #3
    Join Date
    Aug 2010
    Location
    Lancs, United Kingdom
    Beans
    1,307
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: Installing boost version 1.42

    Here's what I would do.

    First investigate whether debs from earlier Ubuntu versions (Maverick) can be installed. i.e. remove the current package, download the debs and try installing them. 1.42 is less than 3 years old, so I think this might have a chance. However, my concern would be dependency on older versions of the standard library.

    So if that failed, I would build it myself. I have built Boost before, but not for a long time; it can be a pain because of its own build system. So I would probably first try downloading the source package for 1.42 from the relevant Ubuntu version.
    https://launchpad.net/ubuntu/+source....42.0.1ubuntu1

    As a last resort, download from boost.org and build it - painfully!

    I'm not claiming the above is the best strategy, but it is what I would do. I hope this helps.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •